TAU_TREEMERGE.PL(1)

NAME
tau_treemerge.pl - combine multiple node and or thread TAU tracefiles into a merged tracefile

SYNOPSIS

tau_treemerge.pl [-n break_amount]

DESCRIPTION

tau_treemerge.pl is generated when TAU is configured with the -TRACE option.

This tool assembles a set of tau trace and event files from multiple multiple nodes or threads across a program's execution into a single unified trace file. Many TAU trace file tools operate on merged trace files.

tau_treemerge.pl will generate the specified merged trace file and an event definition file, tau.edf by default.

OPTIONS

-n break_amount set the maximum number of trace files to merge in each invocation of tau_merge. If we need to merge 2000 trace files and if the maximum number of open files specified by unix is 250, tau_treemerge.pl will incrementally merge the trace files so as not to exceed the number of open file descriptors.

SEE ALSO

tau_merge

tau_convert

tau2profile

tau2vtf

tau2elg

tau2slog2